Subject: nncp-caller not respecting addr limitation

From: John Goerzen <[email-masked]>
Date: Fri, 08 Sep 2023 22:46:47 -0500

Hi,

In my nncp.hjson for a neighbor, I have:

      calls: [
        {
          cron: "*/15 * * * *"
          #onlinedeadline: 43200
          #maxonlinetime: 43200
          addr: lan
        },
      ]

The idea being that when I am not on my home lan, I don't want caller to
be invoking automatically.  However, the addr limitation isn't being
respected; when the lan addr isn't available, it's using another addr
specified for the peer.

Weirdly, in the log file, I also see connect timed out errors for the
lan addr.  So I guess it's trying them both maybe?

Thanks!

- John